# $Id: smeserver-sendmail-wrapper.spec,v 1.10 2017/02/06 17:01:42 unnilennium Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: smeserver-sendmail-wrapper
%define name smeserver-sendmail-wrapper
%define version 0.1
%define release 1
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tgz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: smeserver-release >= 9.0

%description
sendmail wrapper and templates to redirect php emails to qpsmtpd instead of qmail.
This is intended to introduce a little more verification before sending email thanks to the plugins of qpsmtpd instead of simply sending them blindly withthe qmail sendmail wrapper.

%prep
%setup

%build
#/usr/bin/perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root,-)

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /etc/hosts.deny_ssh

%changelog
* Fri Aug 18 2017 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-1.sme
- Initial version
